/***************************************************************
* file name			: stm32f10x_user.h

* Description   : ӿͷļ

* Author    		: zc

* Version				: 0.1

* Date					: 2015.8.4

* History       
***************************************************************/
#ifndef _STM30F10X_USER_H
#define _STM30F10X_USER_H

#include "stm32f10x.h"

#define USE_RCC_PER 				0			//system_stm32f10x.cѾϵͳʱӽ˳ʼ˸費Ҫ
#define	USE_LED_PER					0			
#define USE_KEY_PER 				0
#define USE_USART1_PER 			1
#define USE_ADC1_PER				1
#define USE_ADC1_DMA_PER		1


#ifndef _IO
#define _IO volatile     //read/write data
#endif
	 
/*********************************************
	LED˿ض壬޸Ĳͬƽ̨
**********************************************/
#define RCC_LED_GPIO	RCC_APB2Periph_GPIOD
#define GPIO_LED     	GPIOD
#define GPIO_LED_1  	GPIO_Pin_2            
#define GPIO_LED_2  	GPIO_Pin_3
#define GPIO_LED_3  	GPIO_Pin_4
#define GPIO_LED_4  	GPIO_Pin_7
#define GPIO_LED_ALL 	GPIO_LED_1 | GPIO_LED_2 | GPIO_LED_3 | GPIO_LED_4

/*********************************************
	˿ض壬޸Ĳͬƽ̨
*********************************************/
#define RCC_KEY_GPIO	RCC_APB2Periph_GPIOA \
										| RCC_APB2Periph_GPIOB \
										| RCC_APB2Periph_GPIOC 
#define GPIO_KEY1_KEY3 GPIOC
#define GPIO_KEY2      GPIOB
#define GPIO_KEY4      GPIOA
#define GPIO_KEY_Pin1  GPIO_Pin_4            
#define GPIO_KEY_Pin2  GPIO_Pin_10
#define GPIO_KEY_Pin3  GPIO_Pin_13
#define GPIO_KEY_Pin4  GPIO_Pin_0


/*********************************************
  ڶӦ˿ض壬趨ο
	USART1_TX  PA9
	USART1_RX  PA10
*********************************************/
#define RCC_USART1				RCC_APB2Periph_GPIOA 		\
													|RCC_APB2Periph_USART1	\
													|RCC_APB2Periph_AFIO
#define USART1_RX 				GPIOA
#define USART1_TX					GPIOA
#define USART1_RX_Pin     GPIO_Pin_10
#define USART1_TX_Pin    	GPIO_Pin_9

/*********************************************
	ADC1˿ڵѹݲɼ趨ο
	ADC PC0
*********************************************/
#if USE_ADC1_PER
#ifdef VALUE_INNER
#define VALUE_EXTERN 
#else
#define VALUE_EXTERN extern
#endif
VALUE_EXTERN uint32_t	ADCConvertedValue;
#define ADC1_DR_Address 	((uint32_t)0x4001244c)
#define RCC_ADC1					RCC_APB2Periph_GPIOC 	\
													|RCC_APB2Periph_ADC1  \
													|RCC_APB2Periph_AFIO
#define GPIO_ADC1_Pin			GPIO_Pin_0
#define	GPIO_ADC1					GPIOC
#endif


/*PLLʱ*/
#define RCC_PLLSource_PREDIV2        ((uint32_t)0x00030000)

/*ʼ*/
#if	USE_RCC_PER
static void RCC_UserConfig(void);
#endif
#if	USE_LED_PER
static void LED_UserConfig(void);
#endif
#if	USE_KEY_PER
static void KEY_UserConfig(void);
#endif
#if	USE_USART1_PER
static void USART1_UserConfig(void);
#endif
#if USE_ADC1_PER
static void ADC1_UserConfig(void);
#endif
#if USE_ADC1_DMA_PER
static void ADC1_DMA_UserConfig(void);
#endif
#if	USE_SYSTICK_PER
static void SysTick_UserConfig(void);
#endif
#if	USE_EXTI_PER
static void EXTI_UserConfig(void);
#endif
#if USE_NVIC_PER
void NVIC_UserConfig(void);
#endif
void ARM_DELAY(_IO uint32_t i);
void BSP_Init(void);
#endif
